
## Server Properties
server.port=8080
server.compression.enabled=true

## Spring DATASOURCE (DataSourceAutoConfiguration & DataSourceProperties)
# spring.datasource.url=jdbc:mysql://localhost:3306/rate_my_meal?createDatabaseIfNotExist=true&autoReconnect=true&useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC
spring.datasource.url=jdbc:mysql://db:3306/rate_my_meal?createDatabaseIfNotExist=true&autoReconnect=true&useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC
spring.datasource.username=root
spring.datasource.password=root
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver

## Hibernate Properties
# The SQL dialect makes Hibernate generate better SQL for the chosen database
spring.jpa.hibernate.ddl-auto=update
spring.jpa.database-platform=org.hibernate.dialect.MySQL57Dialect
#spring.jpa.generate-ddl=true
#spring.jpa.show-sql=true

## Hibernate Logging
logging.level.org.hibernate.SQL=DEBUG

## Jackson Properties
#spring.jackson.serialization.WRITE_DATES_AS_TIMESTAMPS= false
#spring.jackson.time-zone= UTC

## App Properties
#app.jwtSecret= JWTSuperSecretKey
#app.jwtExpirationInMs = 604800000

## Spring Profiles
# spring.profiles.active=prod

#spring.freemarker.suffix=.html
